/// <reference types="react" />
import BaseComponent from './base-components';
import { BaseChartsProp } from './base-charts/base';
interface LineChartsProp extends BaseChartsProp {
    seriesData: any;
    xAxisData: Array<string>;
}
declare class LineCharts extends BaseComponent<LineChartsProp> {
    constructor(props: LineChartsProp);
    componentWillMount(): void;
    setSeriesDataFunc(): any;
    render(): JSX.Element;
}
export default LineCharts;
